<?php
 session_start();
require_once('operations.php');

$db = new Operations();

if (!isset($_SESSION['user'])) {
   header( "Location: index.php" );
}

$staffid = $_SESSION['user'];
$statement = $db->getAllScheduleStaff($staffid);


if(isset($_POST['submit'])){
	$subjectid = $_POST['id'];
	
	$db->deleteSubject($subjectid);
}
?>
<!--
=========================================================
* Argon Dashboard - v1.2.0
=========================================================
* Product Page: https://www.creative-tim.com/product/argon-dashboard


* Copyright  Creative Tim (http://www.creative-tim.com)
* Coded by www.creative-tim.com



=========================================================
* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
-->
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Start your development with a Dashboard for Bootstrap 4.">
  <meta name="author" content="Creative Tim">
  <title>Exam App</title>
  <!-- Favicon 
  <link rel="icon" href="assets/img/brand/favicon.png" type="image/png">
  -->
  <!-- Fonts -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700">
  <!-- Icons -->
  <link rel="stylesheet" href="assets/vendor/nucleo/css/nucleo.css" type="text/css">
  <link rel="stylesheet" href="assets/vendor/@fortawesome/fontawesome-free/css/all.min.css" type="text/css">
  <!-- Page plugins -->
  <!-- Argon CSS -->
  <link rel="stylesheet" href="assets/css/argon.css?v=1.2.0" type="text/css">
  <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css" rel="stylesheet" >
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css" type="text/css">

  <style>
#customers {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

#customers td, #customers th {
  border: 1px solid #ddd;
  padding: 8px;
}

#customers tr:nth-child(even){background-color: #f2f2f2;}

#customers tr:hover {background-color: #ddd;}

#customers th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #007bff;
  color: white;
}
</style>

</head>

<body>
  <!-- Sidenav -->
  <nav class="sidenav navbar navbar-vertical  fixed-left  navbar-expand-xs navbar-light bg-white" id="sidenav-main">
    <div class="scrollbar-inner">
      <!-- Brand -->
      <div class="sidenav-header  align-items-center">
        <a class="navbar-brand" href="javascript:void(0)">
          <h4>Exam App</h4>
        </a>
      </div>
      <div class="navbar-inner">
          
        <!-- Collapse -->
        <div class="collapse navbar-collapse" id="sidenav-collapse-main">
          <!-- Nav items -->
          <?php include('staffmenu.html')  ?>
          <!-- Divider -->
          <hr class="my-3">
          <!-- Heading -->
          
        </div>
      </div>
    </div>
  </nav>
  
  
  <!-- Main content -->
  <div class="main-content" id="panel">
    <!-- Topnav -->
    <nav class="navbar navbar-top navbar-expand navbar-dark bg-primary border-bottom">
      <div class="container-fluid">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <!-- Search form -->
          <form class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
            <div class="form-group mb-0">
              <div class="input-group input-group-alternative input-group-merge">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="fas fa-search"></i></span>
                </div>
                <input class="form-control" placeholder="Search" type="text">
              </div>
            </div>
            <button type="button" class="close" data-action="search-close" data-target="#navbar-search-main" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </form>
          <!-- Navbar links -->
          
           <ul class="navbar-nav align-items-center  ml-md-auto ">
            <li class="nav-item d-xl-none">
              <!-- Sidenav toggler -->
              <div class="pr-3 sidenav-toggler sidenav-toggler-dark" data-action="sidenav-pin" data-target="#sidenav-main">
                <div class="sidenav-toggler-inner">
                  <i class="sidenav-toggler-line"></i>
                  <i class="sidenav-toggler-line"></i>
                  <i class="sidenav-toggler-line"></i>
                </div>
              </div>
</li>
</ul>
          
          
          
        </div>
      </div>
    </nav>
    <!-- Header -->
    <!-- Header -->
    <div class="header bg-primary pb-6">
      <div class="container-fluid">
        <div class="header-body">
          <div class="row align-items-center py-4">
            
          
          </div>
          <!-- Card stats -->
         
          <!-- put content  -->

        
          <div class="card" style = "width:100%">
            <div class="card-header border-0">
</div>
<div class="card-body">

          <div class="table-responsive">
    














<div>
    <table  id = "customers" style = "width:100%">
        <thead class="thead-dark">
            <tr>
                <th scope="col" class="sort" data-sort="name">S/N</th>
                <th scope="col" class="sort" data-sort="budget">Subject</th>
                <th scope="col" class="sort" data-sort="budget">Exam Code</th>
                <th scope="col" class="sort" data-sort="budget">Class</th>
              <!--  <th scope="col" class="sort" data-sort="budget">Duration</th> -->
                <th scope="col" class="sort" data-sort="budget">Date</th>
                  <th scope="col" class="sort" data-sort="budget">Term</th>
                    <th scope="col" class="sort" data-sort="budget">Session</th>
                <th scope="col" class="sort" data-sort="budget">Time</th>
                <th scope="col" class="sort" data-sort="status">Edit/View Questions</th>
                
               
                
                <th scope="col" class="sort" data-sort="status">Add Questions</th>
                <th scope="col" class="sort" data-sort="status">Add From Q.Bank</th>
            </tr>
        </thead>
        <tbody class="list">
<?php
$rowCount1 = 0;
        while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
            extract($row);
        $rowCount1++;

        ?>
            
            <tr>
                <td>
                   <?php  echo  $rowCount1;  ?> 
                </td>
                <td>
                <?php  echo $row['title'] ?>  
                </td>

                <td>
                <?php  echo $row['examcode'] ?>  
                </td>

                <td>
                <?php  echo $row['class'] ?>  
                </td>
            <!--
                <td>
                <?php  echo $row['duration'] ?>  

                </td>
                -->

                <td>
                <?php  echo $row['date1'] ?>  

                </td>
                
                  <td>
                <?php  echo $row['term'] ?>  

                </td>
                
                  <td>
                <?php  echo $row['year'] ?>  

                </td>

                <td>
                <?php  echo $row['time'] ?>  
                </td>

                <td><a href="editQuestionsStaff.php?examcode=<?php echo $row['examcode'] ;?>" class="btn btn-primary ">Edit/View</a></td>

                  
                
                    <td><a href="addQuestionsStaff.php?examcode=<?php echo $row['examcode']?>&subject_id=<?php echo urlencode($row['subject_id']) ;?>" class="btn btn-success ">ADD</a></td>
                    <td><a href="addQuestionsFromBank.php?examcode=<?php echo $row['examcode']?>&subject_id=<?php echo urlencode($row['subject_id']) ;?>&class=<?php echo urlencode($row['class']) ;?>" class="btn btn-primary ">Q.BANK</a></td>

</tr>
<?php } ?>
</tbody>
</table>
        </div>
</div>


          <!-- put content --->
        </div>
      </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--6">
      
       
      
        </div>
      </div>
      <!-- Footer -->
      <footer class="footer pt-0">
        <div class="row align-items-center justify-content-lg-between">
          <div class="col-lg-6">
            
          </div>
          <div class="col-lg-6">
            
          </div>
        </div>
      </footer>
    </div>
  </div>
  <!-- Argon Scripts -->
  <!-- Core -->
  <script src="assets/vendor/jquery/dist/jquery.min.js"></script>
  <script src="assets/vendor/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
  <script src="assets/vendor/js-cookie/js.cookie.js"></script>
  <script src="assets/vendor/jquery.scrollbar/jquery.scrollbar.min.js"></script>
  <script src="assets/vendor/jquery-scroll-lock/dist/jquery-scrollLock.min.js"></script>
  <!-- Optional JS -->
  <script src="assets/vendor/chart.js/dist/Chart.min.js"></script>
  <script src="assets/vendor/chart.js/dist/Chart.extension.js"></script>
  <!-- Argon JS -->
<script src="assets/js/argon.js?v=1.2.0"></script>

  <script type="text/javascript" language="javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>
  <script type="text/javascript" language="javascript" src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script type="text/javascript" language="javascript" src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<script>
  $(document).ready(function() {
	$('#customers').DataTable();
} );

	</script>
</body>

</html>